/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet.vehicle.tree;

import nl.cloudfarming.client.fleet.machine.tree.MachineNode;
import nl.cloudfarming.client.fleet.model.Machine;
import nl.cloudfarming.client.fleet.model.Vehicle;
import nl.cloudfarming.client.fleet.model.VehicleManager;
import org.openide.nodes.Node;
import org.openide.util.Lookup;

/**
 *
 * @author Maciek Dulkiewicz && Wytse Visser
 */
public class VehicleNode extends MachineNode {
    
    private Machine machine;
    
    public VehicleNode(Node original) {
        super(original);
    }
    
    @Override
    protected void saveMachine() {
        Lookup.getDefault().lookup(VehicleManager.class).save((Vehicle) getMachine(), getMachineFile());
    }

    @Override
    protected Machine loadMachine() {
        return Lookup.getDefault().lookup(VehicleManager.class).load(getMachineFile());
    }
}